const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi - 48)));
    if *((edi - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_48, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    __asm_fpatan(v1_45);
    v2_80 = sqrtl(tmp267 * tmp267 + stack_var__2d_48 * stack_var__2d_48) # bp+80;
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    fabsl(v2_80 - *((edi - 108)) + *((edi - 116)));
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    tmp276 = fabs(v1_45);
    v0_c9 = __asm_wait();
    v1_ca = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v1_df_pre = tmp276 - *((edi - 100));
    if *((edi - 76)) == 0:;
        # 0xdc;
        v1_df = v1_df_pre / *((edi - 32));
    else:;
        v1_df = v1_df_pre;
    # 0xdf;
    *((esi_global_2d_to_2d_local - 32)) = v1_df;
    return v0_c9 & -0x10000 | v1_ca & -0xff01 | v1_ca / 2 & 0x7f00;


	}